Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.util
Class LoggingUtil

    java.lang.Object
      org.ensembl.util.LoggingUtil

public class LoggingUtil
extends java.lang.Object

Convenience functions for interacting with the logging system. This class contains convenience methods for interacting with the java.util.logging package. Example:

If you want to print all FINE log messages for a class:
1. `LoggingUtil.setRootLoggerHandlersLevelToFINE()`
2. `Logger.getLogger("somepackage.MyClass").setLevel(Level.FINE)`

Author:
  Craig Melsopp
See Also:
  Logging system documentation

Method Summary
`static void` | `setRootLoggerHandlersLevels(java.util.logging.Level level)` Set the logging level for all the handlers on the root logger instance For a log message to be printed it's level must be >= the logger's level AND >= the handlers level.
`static void` | `setRootLoggerHandlersLevels(java.util.logging.Level level, java.lang.Class type)` Set the logging level for all the handlers of the specified type on the root logger instance For a log message to be printed it's level must be >= the logger's level AND >= the handlers level.
`static void` | `setRootLoggerHandlersLevelsToALL()` Calls setRootLoggerHandlersLevels(Level.ALL).
`static void` | `setRootLoggerHandlersLevelsToCONFIG()` Calls setRootLoggerHandlersLevels(Level.CONFIG).
`static void` | `setRootLoggerHandlersLevelsToFINE()` Calls setRootLoggerHandlersLevels(Level.FINE).
`static void` | `setRootLoggerHandlersLevelsToFINER()` Calls setRootLoggerHandlersLevels(Level.FINER).
`static void` | `setRootLoggerHandlersLevelsToFINEST()` Calls setRootLoggerHandlersLevels(Level.FINEST).
`static void` | `setRootLoggerHandlersLevelsToINFO()` Calls setRootLoggerHandlersLevels(Level.INFO).
`static void` | `setRootLoggerHandlersLevelsToSEVERE()` Calls setRootLoggerHandlersLevels(Level.SEVERE).
`static void` | `setRootLoggerHandlersLevelsToWARNING()` Calls setRootLoggerHandlersLevels(Level.WARNING).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setRootLoggerHandlersLevels

    public static void setRootLoggerHandlersLevels(java.util.logging.Level level)

  Set the logging level for all the handlers on the root logger instance For a log message to be printed it's level must be >= the logger's level AND >= the handlers level. This method sets the level for all the handlers on the root logger which, by default, apply to all loggers.

  Parameters:
    `level` - logging level for default handlers.

### setRootLoggerHandlersLevels

    public static void setRootLoggerHandlersLevels(java.util.logging.Level level,
                                                   java.lang.Class type)

  Set the logging level for all the handlers of the specified type on the root logger instance For a log message to be printed it's level must be >= the logger's level AND >= the handlers level. This method sets the level for all the handlers on the root logger which, by default, apply to all loggers.

  Parameters:
    `level` - logging level for default handlers.
    `type` - type of handler, e.g. java.util.logging.ConsoleHandler

### setRootLoggerHandlersLevelsToALL

    public static void setRootLoggerHandlersLevelsToALL()

  Calls setRootLoggerHandlersLevels(Level.ALL).

  See Also:
    `setRootLoggerHandlersLevels(Level)`

### setRootLoggerHandlersLevelsToCONFIG

    public static void setRootLoggerHandlersLevelsToCONFIG()

  Calls setRootLoggerHandlersLevels(Level.CONFIG).

  See Also:
    `setRootLoggerHandlersLevels(Level)`

### setRootLoggerHandlersLevelsToFINE

    public static void setRootLoggerHandlersLevelsToFINE()

  Calls setRootLoggerHandlersLevels(Level.FINE).

  See Also:
    `setRootLoggerHandlersLevels(Level)`

### setRootLoggerHandlersLevelsToFINER

    public static void setRootLoggerHandlersLevelsToFINER()

  Calls setRootLoggerHandlersLevels(Level.FINER).

  See Also:
    `setRootLoggerHandlersLevels(Level)`

### setRootLoggerHandlersLevelsToFINEST

    public static void setRootLoggerHandlersLevelsToFINEST()

  Calls setRootLoggerHandlersLevels(Level.FINEST).

  See Also:
    `setRootLoggerHandlersLevels(Level)`

### setRootLoggerHandlersLevelsToINFO

    public static void setRootLoggerHandlersLevelsToINFO()

  Calls setRootLoggerHandlersLevels(Level.INFO).

  See Also:
    `setRootLoggerHandlersLevels(Level)`

### setRootLoggerHandlersLevelsToSEVERE

    public static void setRootLoggerHandlersLevelsToSEVERE()

  Calls setRootLoggerHandlersLevels(Level.SEVERE).

  See Also:
    `setRootLoggerHandlersLevels(Level)`

### setRootLoggerHandlersLevelsToWARNING

    public static void setRootLoggerHandlersLevelsToWARNING()

  Calls setRootLoggerHandlersLevels(Level.WARNING).

  See Also:
    `setRootLoggerHandlersLevels(Level)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD